> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Delete a contact

DELETE https://api.brevo.com/v3/contacts/{identifier}

There are 2 ways to delete a contact  Option 1- [https://api.brevo.com/v3/contacts/\{identifier}](https://api.brevo.com/v3/contacts/\{identifier})  Option 2- [https://api.brevo.com/v3/contacts/\{identifier}?identifierType=\{}](https://api.brevo.com/v3/contacts/\{identifier}?identifierType=\{})   Option 1 only works if identifierType is email\_id (for EMAIL) or contact\_id (for ID of the contact),where you can directly pass the value of EMAIL and ID of the contact.    Option 2 works for all identifierType, use email\_id for EMAIL attribute, contact\_id for ID of the contact, ext\_id for EXT\_ID attribute, phone\_id for SMS attribute, whatsapp\_id for WHATSAPP attribute, landline\_number\_id for LANDLINE\_NUMBER attribute.

Reference: https://developers.brevo.com/reference/delete-contact

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `identifier` (string or integer, required) — Email (urlencoded) OR ID of the contact OR EXT_ID attribute (urlencoded)

### Query parameters

- `identifierType` (enum, optional) — email_id for Email, contact_id for ID of the contact, ext_id for EXT_ID attribute, phone_id for SMS attribute, whatsapp_id for WHATSAPP attribute, landline_number_id for LANDLINE_NUMBER attribute
  - Allowed values: `email_id`, `contact_id`, `ext_id`, `phone_id`, `whatsapp_id`, `landline_number_id`

## Response

### 204

Contact deleted

## Examples

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.contacts.deleteContact({
        identifier: "string",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.contacts.delete_contact(
    identifier="string",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Contacts\Requests\DeleteContactRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->contacts->deleteContact(
    'string',
    new DeleteContactRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/contacts/string"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/contacts/string")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.brevo.com/v3/contacts/string")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/contacts/string");
var request = new RestRequest(Method.DELETE);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/contacts/string")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```